"use strict";
/**
 * Project Lavenza
 * Copyright 2017-2019 Aigachu, All Rights Reserved
 *
 * License: https://github.com/Aigachu/Lavenza-II/blob/master/LICENSE
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.CoreStatus = void 0;
/**
 * Declares an enum for the different states of the Core application.
 */
var CoreStatus;
(function (CoreStatus) {
    CoreStatus["sleep"] = "asleep";
    CoreStatus["genesis"] = "genesis";
    CoreStatus["synthesis"] = "synthesis";
    CoreStatus["statis"] = "statis";
    CoreStatus["symbiosis"] = "symbiosis";
    CoreStatus["running"] = "running";
    CoreStatus["maintenance"] = "maintenance";
})(CoreStatus || (CoreStatus = {}));
exports.CoreStatus = CoreStatus;
