"use strict";
/**
 * Project Lavenza
 * Copyright 2017-2019 Aigachu, All Rights Reserved
 *
 * License: https://github.com/Aigachu/Lavenza-II/blob/master/LICENSE
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.EventSubscriber = void 0;
// Imports.
const Service_1 = require("../Service");
/**
 * Provides a base abstract class for Event Subscriber services.
 */
class EventSubscriber extends Service_1.Service {
    constructor() {
        super(...arguments);
        /**
         * Service Tags.
         *
         * Event Subscribers should only have this tag anyways.
         */
        this.tags = ["event_subscriber"];
    }
}
exports.EventSubscriber = EventSubscriber;
