"use strict";
/**
 * Project Lavenza
 * Copyright 2017-2019 Aigachu, All Rights Reserved
 *
 * License: https://github.com/Aigachu/Lavenza-II/blob/master/LICENSE
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.Gestalt = void 0;
// Imports.
const Talent_1 = require("../../lib/Lavenza/Talent/Talent");
/**
 * Gestalt Talent.
 *
 * In case you didn't know, 'Gestalt' is another word for 'configuration'. This Talent will provide commands to allow
 * configuration management while the bot is running.
 */
class Gestalt extends Talent_1.Talent {
}
exports.Gestalt = Gestalt;
