"use strict";
/**
 * Project Lavenza
 * Copyright 2017-2019 Aigachu, All Rights Reserved
 *
 * License: https://github.com/Aigachu/Lavenza-II/blob/master/LICENSE
 */
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Wonderful = void 0;
const Talent_1 = require("../../lib/Lavenza/Talent/Talent");
/**
 * WONDERFUL!
 */
class Wonderful extends Talent_1.Talent {
    /**
     * Resonator function for the Wonderful talent.
     *
     * @inheritDoc
     */
    resonate(resonance) {
        return __awaiter(this, void 0, void 0, function* () {
            if (resonance.content === "wonderful") {
                yield resonance.__reply("Wonderful! <3");
            }
        });
    }
}
exports.Wonderful = Wonderful;
